Displaying 1 to 17 from 17 results

shortid - Short id generator. Url-friendly. Non-predictable. Cluster-compatible.

  •    Javascript

Amazingly short non-sequential url-friendly unique id generator. ShortId creates amazingly short non-sequential url-friendly unique ids. Perfect for url shorteners, MongoDB and Redis ids, and any other id users might see.

datagrid - Gem to create tables grids with sortable columns and filters

  •    Ruby

Create an issue if you want more. Datagrid DEMO application is available live! Demo source code.

simple_token_authentication - Simple (but safe) token authentication for Rails apps or API with Devise

  •    Ruby

Token authentication support has been removed from Devise for security reasons. In this gist, Devise's José Valim explains how token authentication should be performed in order to remain safe. This gem packages the content of the gist and provides a set of convenient options for increased flexibility.

enumerize - Enumerated attributes with I18n and ActiveRecord/Mongoid support

  •    Ruby

Note that enumerized values are just identificators so if you want to use multi-word, etc. values you should use I18n feature.




aasm - AASM - State machines for Ruby classes (plain Ruby, ActiveRecord, Mongoid)

  •    Ruby

This package contains AASM, a library for adding finite state machines to Ruby classes. AASM started as the acts_as_state_machine plugin but has evolved into a more generic library that no longer targets only ActiveRecord models. It currently provides adapters for many ORMs but it can be used for any Ruby class, no matter what parent class it has (if any).

mongoid-rspec - RSpec matchers and macros for Mongoid.

  •    Ruby

The mongoid-rspec library provides a collection of RSpec-compatible matchers that help to test Mongoid documents. This gem is compatible with Mongoid 3, 4, 5 and 6.

databound - Provides Javascript a simple API to the Ruby on Rails CRUD.

  •    CoffeeScript

Provides Javascript a simple CRUD API to the Ruby on Rails backend. Check out live examples on the Databound website databound.me.

mongoid_rateable - Rating functionality for Mongoid documents

  •    Ruby

Lastest version of Mongoid:Rateable requires mongoid 3, 4, 5 and 6. If you need a mongoid 2 support, look at mongoid_rateable 0.1.7.


mongoid_taggable_on - Taggable on custom fields for Mongoid

  •    Ruby

Mongoid Taggable provides some helpers to create taggable documents, can use many fields. In 720p.so, the Movie actors, directors, languages, countries, tags all base in mongoid_taggable_on.

groupify - Add group and membership functionality to your Rails models

  •    Ruby

Adds group and membership functionality to Rails models. Defines a polymorphic relationship between a Group model and any member model. Don't need a Group model? Use named groups instead to add members to named groups such as :admin or "Team Rocketpants". This will generate an initializer, Group model, GroupMembership model, and migrations.

algoliasearch-rails - AlgoliaSearch integration to your favorite ORM

  •    Ruby

Algolia Search is a hosted full-text, numerical, and faceted search engine capable of delivering realtime results from the first keystroke. This gem let you easily integrate the Algolia Search API to your favorite ORM. It's based on the algoliasearch-client-ruby gem. Rails 3.x, 4.x and 5.x are all supported.

mongoid-autoinc - ⬆ Auto incrementing fields for Mongoid documents

  •    Ruby

A mongoid plugin to add auto incrementing fields to your documents. You can override the model name used to generate the autoincrement keys. This can be useful when working with subclasses or namespaces.

mongoid-observers - Mongoid observer (removed in Mongoid 4.0)

  •    Ruby

Mongoid Observers (removed from core in Mongoid 4.0). Because this gem doesn't exist and I need to use it very often. Therefore, I extract the code from mongoid on my own. It's basically the same code from mongoid before it's removed. NOTE: mongoid-observers depends on rails-observers mostly, but it is not yet ready for a new release on Rails 5 yet, https://github.com/rails/rails-observers/issues/53.

mongo_session_store - MongoSessionStore is a Rails-compatible session store for MongoDB using either Mongoid or the MongoDB Ruby Driver

  •    Ruby

MongoSessionStore is a Rails-compatible session store for MongoDB using either Mongoid or the MongoDB Ruby Driver. It also allows for custom Mongo session store that works with any (or no!) Mongo ODM. MongoSessionStore version 3 is compatible with Rails 4.0 through 5.1. For Rails 3 support please check out issue #17 for options and let us know if you need support.

doorkeeper-mongodb - Mongoid and MongoMapper support for Doorkeeper.

  •    Ruby

This will install the doorkeeper initializer into config/initializers/doorkeeper.rb. NOTE: mongo_mapper gem works properly with MongoDB <= 3.2, on older versions it throws Database command 'insert' failed: Unknown option to insert command: w exception. This problem requires mongo_mapper gem update.

cancancan-mongoid - CanCanCan Mongoid Adapter

  •    Ruby

This is the adapter for the CanCanCan authorisation library to automatically generate SQL queries from ability rules. If you find a bug please add an issue on GitHub or fork the project and send a pull request.

chat-api-server - :speech_balloon: Chat API Server powered with Sinatra+RocketIO+MongoDB

  •    Ruby

Chat backend server. You also need to install MongoDB and Memcached in addition if not yet.





We have large collection of open source products. Follow the tags from Tag Cloud >>


Open source products are scattered around the web. Please provide information about the open source projects you own / you use. Add Projects.